Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class StartRequest

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Resource
                  |
                  +--com.ibm.cics.server.RemotableResource
                        |
                        +--com.ibm.cics.server.StartRequest

public class StartRequest
extends RemotableResource
implements java.io.Serializable

This class provides the Java equivalent to EXEC CICS START command.

Constructor Summary
`StartRequest()`

Method Summary
`void` | `cancel()` Not Implemented.
`byte[]` | `getID()` Return the ID that uniquely identifies the start request.
`java.lang.String` | `getIDAsString()` Return the ID that uniquely identifies the start request.
`byte[]` | `getQueueName()` Return the queue name for the start request.
`java.lang.String` | `getQueueNameAsString()` Return the queue name for the start request.
`java.lang.String` | `getRTerminal()` Not Implemented.
`java.lang.String` | `getRTransaction()` Not Implemented.
`java.lang.String` | `getTerminal()` Not Implemented.
`java.util.Calendar` | `getTime()` Not Implemented.
`boolean` | `isChecked()` Is the start request checked?
`void` | `isChecked(boolean checked)` Is the start request checked?
`boolean` | `isProtected()` Is the start request protected?
`void` | `issue()` Not Implemented.
`void` | `issue(byte[] data)` Not Implemented.
`void` | `setID(byte[] newId)` Set the ID that uniquely identifies the start request.
`void` | `setIDFromString(java.lang.String newId)` Not Implemented.
`void` | `setProtected(boolean prot)` Is the start request protected?
`void` | `setQueueName(byte[] newQueueName)` Not Implemented.
`void` | `setQueueNameFromString(java.lang.String newQueueName)` Not Implemented.
`void` | `setRTerminal(java.lang.String rTerminal)` Not Implemented.
`void` | `setRTransaction(java.lang.String rTransaction)` Not Implemented.
`void` | `setTerminal(java.lang.String newTerminal)` Set the terminal upon which to start the request.
`void` | `setTime(java.util.Calendar newTime)` Not Implemented.

Methods inherited from class com.ibm.cics.server.RemotableResource
`getSysId, setSysId`

Methods inherited from class com.ibm.cics.server.Resource
`getDescription, getName, setDescription, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartRequest

    public StartRequest()

Method Detail

### cancel

    public void cancel()
                throws InvalidRequestException,
                       ISCInvalidRequestException,
                       NotAuthorisedException,
                       RecordNotFoundException,
                       InvalidSystemIdException

  This method is not implemented in this release.
  Cancel a previously issues start request.

### getID

    public byte[] getID()

  Return the ID that uniquely identifies the start request.
  Returns:
    The ID in the form of a byte array.

### getIDAsString

    public java.lang.String getIDAsString()

  Return the ID that uniquely identifies the start request.
  Returns:
    The ID in the form of a String.

### getQueueName

    public byte[] getQueueName()

  Return the queue name for the start request.
  Returns:
    The queue name in the form of a byte array.

### getQueueNameAsString

    public java.lang.String getQueueNameAsString()

  Return the queue name for the start request.
  Returns:
    The queue name in the form of a String.

### getRTerminal

    public java.lang.String getRTerminal()

  This method is not implemented in this release.

### getRTransaction

    public java.lang.String getRTransaction()

  This method is not implemented in this release.

### getTerminal

    public java.lang.String getTerminal()

  This method is not implemented in this release.

### getTime

    public java.util.Calendar getTime()

  This method is not implemented in this release.

### isChecked

    public boolean isChecked()

  Is the start request checked?
  Returns:
    true if the request is to be checked.

### isProtected

    public boolean isProtected()

  Is the start request protected?
  Returns:
    true if the request is to be protected.

### issue

    public void issue()
               throws InvalidRequestException,
                      ISCInvalidRequestException,
                      IOErrorException,
                      LengthErrorException,
                      NotAuthorisedException,
                      InvalidSystemIdException,
                      TerminalException,
                      InvalidTransactionIdException

  This method is not implemented in this release.
  Issue the start request passing no data to the started task.

### issue

    public void issue(byte[] data)
               throws InvalidRequestException,
                      ISCInvalidRequestException,
                      IOErrorException,
                      LengthErrorException,
                      NotAuthorisedException,
                      InvalidSystemIdException,
                      TerminalException,
                      InvalidTransactionIdException

  This method is not implemented in this release.
  Issue the start request passing the data to the started task.

### setID

    public void setID(byte[] newId)

  Set the ID that uniquely identifies the start request.
  Parameters:
    `newId` - The ID in the form of a byte array.

### setIDFromString

    public void setIDFromString(java.lang.String newId)

  This method is not implemented in this release.
  Set the ID that uniquely identifies the start request.
  Parameters:
    `newId` - The ID in the form of a String.

### setQueueName

    public void setQueueName(byte[] newQueueName)

  This method is not implemented in this release.
  Set the queue name for the start request.
  Parameters:
    `newQueueName` - The queue name in the form of a byte array.

### setQueueNameFromString

    public void setQueueNameFromString(java.lang.String newQueueName)

  This method is not implemented in this release.
  Set the queue name for the start request.
  Parameters:
    `newQueueName` - The queue name in the form of a String.

### setRTerminal

    public void setRTerminal(java.lang.String rTerminal)

  This method is not implemented in this release.

### setRTransaction

    public void setRTransaction(java.lang.String rTransaction)

  This method is not implemented in this release.

### setTerminal

    public void setTerminal(java.lang.String newTerminal)

  Set the terminal upon which to start the request.
  Parameters:
    `newTerminal` - The terminal to start the transaction against.

### setTime

    public void setTime(java.util.Calendar newTime)

  This method is not implemented in this release.

### isChecked

    public void isChecked(boolean checked)

  Is the start request checked?
  Parameters:
    `checked` - true if the request is to be checked.

### setProtected

    public void setProtected(boolean prot)

  Is the start request protected?
  Parameters:
    `prot` - true if the request is to be protected.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.